# For Dotfiles
dotfls="${HOME}/dotfiles"
dotlib="${dotfls}/lib"
dotcfg="${dotfls}/cfg"
brewpr="$(/home/linuxbrew/.linuxbrew/bin/brew --prefix)"

# Path
path=(${brewpr}/sbin ${brewpr}/bin)			 # Homebrew
path+=(/usr/local/sbin /usr/local/bin)			 # Local Bin
path+=(/usr/sbin /usr/bin)				 # /usr/bin
if type apt-get &>/dev/null; then path+=(/sbin /bin); fi # /bin only on Debian

path+=(${dotfls}/bin)					 # Bin in Dotfiles
path+=(${dotlib}/basher/bin)				 # Basher
path+=(${HOME}/.gem/ruby/2.4.0/bin)			 # Ruby Gems
path+=(/usr/lib/jvm/default/bin)			 # Java
path+=(/opt/android-sdk/build-tools/26.0.1)		 # Android SDK

# Manpath
manpath+=(${brewpr}/share/man)

# Infopath
infopath+=(${brewpr}/share/info)

# Editor Setting
EDITOR='nano'

# Completions Paths
fpath+=(${dotlib}/completions/src)
fpath+=(${brewpr}/share/zsh/site-functions)
fpath+=(${dotlib}/local)

# Actually export
export dotlib dotcfg brewpr PATH MANPATH INFOPATH EDITOR

# Reload all Prompts
autoload -U promptinit && promptinit
